<script lang="ts">
  export let checked: boolean = false;
  export let disabled: boolean = false;
</script>

<button class="secondary" {disabled} on:click>
  <input type="checkbox" {checked} {disabled} />
  <slot />
</button>

<style>
  button {
    white-space: nowrap;
  }
  input[type="checkbox"] {
    pointer-events: none;
    transform: scale(1.125);
  }
</style>
